Skip to main content
GET
/
v3
/
audio
/
sounds
Search background music
curl --request GET \
  --url https://api.heygen.com/v3/audio/sounds \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "audio_url": "<string>",
      "score": 123,
      "duration": 120
    }
  ],
  "has_more": true,
  "next_token": "<string>"
}

Authorizations

x-api-key
string
header
required

HeyGen API key. Obtain from your HeyGen dashboard.

Query Parameters

query
string
required

Natural-language description of the audio you want, e.g. 'upbeat lofi hip-hop' or 'tense cinematic riser'. Results are ranked by semantic similarity to this text.

Required string length: 1 - 5000
type
enum<string>
default:music

Audio content type to search. Currently only 'music' (the background-music catalog) is supported.

Available options:
music
limit
integer
default:10

Maximum number of results to return (1-50).

Required range: 1 <= x <= 50
min_score
number
default:0.7

Minimum semantic similarity score (0-1). Tracks scoring below this are omitted.

Required range: 0 <= x <= 1
token
string

Opaque cursor token for the next page, taken from 'next_token' in a prior response.

Response

Successful response

data
AudioSoundItem · object[]
has_more
boolean

Whether more pages are available

next_token
string | null

Opaque cursor for the next page